Laptime

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class Laptime

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.Laptime

    public class Laptime

extends java.lang.Object

Model for a lap time for a single lap.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `Laptime.LapType` The type of a lap.

Constructor Summary
`Laptime(int driverId, int lap)`
`Laptime(int driverId, int lap, float sector1, float sector2, float sector3, boolean isOutLap, boolean isInLap, boolean finished)`

Method Summary
`int` | `getDriverId()`
`int` | `getLap()`
`float` | `getLapTime()`
`float` | `getSector1()`
`float` | `getSector1And2()`
`float` | `getSector2()`
`float` | `getSector2(boolean includingSector1)`
`float` | `getSector3()`
`Laptime.LapType` | `getType()`
`boolean` | `isFinished()`
`java.lang.Boolean` | `isInlap()` Gets whether this lap is an inlap.
`java.lang.Boolean` | `isOutlap()` Gets whether this lap is an outlap.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Laptime

    public Laptime(int driverId,
                   int lap)

### Laptime

    public Laptime(int driverId,
                   int lap,
                   float sector1,
                   float sector2,
                   float sector3,
                   boolean isOutLap,
                   boolean isInLap,
                   boolean finished)

Method Detail

### getDriverId

    public final int getDriverId()

### getType

    public final Laptime.LapType getType()

### getLap

    public final int getLap()

### getSector1

    public final float getSector1()

### getSector2

    public final float getSector2()

### getSector1And2

    public final float getSector1And2()

### getSector2

    public final float getSector2(boolean includingSector1)

### getSector3

    public final float getSector3()

### getLapTime

    public final float getLapTime()

### isOutlap

    public final java.lang.Boolean isOutlap()

  Gets whether this lap is an outlap. If this information is not yet available, null is returned.

  Returns:
    whether this lap is an outlap. If this information is not yet available, null is returned.

### isInlap

    public final java.lang.Boolean isInlap()

  Gets whether this lap is an inlap. If this information is not yet available, null is returned.

  Returns:
    whether this lap is an inlap. If this information is not yet available, null is returned.

### isFinished

    public final boolean isFinished()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD